ChiliProject - Bug # 739: Relative textile links not converted to full URLs in emails

Status: Closed Priority: Normal

Author: Felix Schéfer Category: Mail Sending

Created: 2011-11-29 Assignee:

Updated: 2012-03-15 Due date:

Remote issue URL:

Affected version: master

Description: Relative textile links of the form @"foo":/bar@ aren't converted to full URLs when included in emails.

Associated revisions

2008-05-30 07:42 pm - Jean-Philippe Lang
Adds a Reply link to each issue note (#739). Reply is pre-filled with the quoted note.

git-svn-id: http://redmine.rubyforge.org/svn/trunk@1480 e93f8b46-1217-0410-a6f0-8f06a7374b81

2012-03-16 12:47 am - Felix SchArfer

[#739] Convert relative links to full links in textile

Textile doesn't "understand" :only_path => false and thus doesn't convert links of the form

<pre>"foo":/bar</pre>

to full URLSs, this is done in a subsequent method akin to the wiki_lins and so on

History

2011-11-30 07:46 am - Felix Schafer
And the example link was meant to show:

<pre>"foo":/bar</pre>

2011-11-30 08:07 am - Felix Schéfer
- (deleted custom field) set to master

- Status changed from Open to Ready for review

See "pull 135":https://github.com/chiliproject/chiliproject/pull/135 for a fix for that (though supporting the url_for/link_to things in the mailer feels like a

hack :-/).

2012-03-15 11:49 pm - Felix Schéafer
- Target version set to 3.1.0

- Status changed from Ready for review to Closed

Committed in commit:20eed68
